org.eclipse.emf.cdo.expressions

## Interface Value

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Notifier
  All Known Subinterfaces:
    BooleanValue, ByteValue, CharValue, DoubleValue, FloatValue, IntValue, LongValue, ShortValue, StringValue
  All Known Implementing Classes:
    BooleanValueImpl, ByteValueImpl, CharValueImpl, DoubleValueImpl, FloatValueImpl, IntValueImpl, LongValueImpl, ShortValueImpl, StringValueImpl, ValueImpl

      public interface Value
      extends Expression

  A representation of the model object 'Primitive Value'.
  See Also:
    `ExpressionsPackage.getValue()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getLiteral()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLiteral

          java.lang.Object getLiteral()

      Generated
      Model
        kind="operation"

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html